{ config, lib, ... }:
{
  services.kanshi = {
    enable = true;
    settings = [
      {
        profile = {
          name = "tower";
          outputs = [
            {
              criteria = "Microstep MSI G24C 0000000000001";
              position = "3840,405";
              mode = "1920x1080@143.979996Hz";
            }
            {
              criteria = "BNQ BenQ GW2270 6CH00781019";
              position = "1920,405";
            }
            {
              criteria = "Eizo Nanao Corporation CG223W 23252050";
              position = "5760,0";
              transform = "90";
            }
            {
              criteria = "Samsung Electric Company SAMSUNG Unknown";
              position = "0,405";
            }
          ];
        };
      }
      {
        profile = {
          name = "docked";
          outputs = [
            {
              criteria = "*";
              status = "enable";
            }
            {
              criteria = "eDP-1";
              status = "disable";
            }
          ];
        };
      }
      {
        profile = {
          name = "undocked";
          outputs = [
            {
              criteria = "eDP-1";
              status = "enable";
            }
          ];
        };
      }
    ];
  };
}
